summaryrefslogtreecommitdiff
path: root/bin/build-master-status
diff options
context:
space:
mode:
Diffstat (limited to 'bin/build-master-status')
-rwxr-xr-xbin/build-master-status4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/build-master-status b/bin/build-master-status
index 498405e..50f86a5 100755
--- a/bin/build-master-status
+++ b/bin/build-master-status
@@ -102,7 +102,7 @@ staging=$(
ls_master_mirror "i686/${dir}"
done | \
grep -c '\.pkg\.tar\.xz$'
-)
+) || true
testing=$(
ls_master_mirror 'i686' | \
grep 'testing$' | \
@@ -110,7 +110,7 @@ testing=$(
ls_master_mirror "i686/${dir}"
done | \
grep -c '\.pkg\.tar\.xz$'
-)
+) || true
(
find "${work_dir}/package-states/" -maxdepth 1 -name '*.broken' -printf '%f\n' | \
sed 's|\.\([^.]\+\)\.\([^.]\+\)\.\([^.]\+\)\.[^.]\+$| \1 \2 \3|' | \